Skip to main content
GET
/
treasury_accounts
/
{treasury_account_id}
/
transactions
List treasury transactions
curl --request GET \
  --url https://api.withacclaim.com/v1/treasury_accounts/{treasury_account_id}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "tx_7n0QWb9vLa",
      "treasury_account_id": "tac_b0TrsSg91h",
      "type": "Commission",
      "amount": 50000,
      "currency": "USD",
      "source_id": "va_zb9C6lW9oE",
      "destination_id": "set_Tv0RGtQAWA",
      "reference": "<string>",
      "created_at": "2025-10-08T18:20:31Z"
    }
  ],
  "next_cursor": "<string>",
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

treasury_account_id
string
required

ID of the treasury account.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string
type
enum<string>

Filter by transaction type.

Available options:
Commission,
Withdrawal,
Deposit,
Transfer,
Fee,
Adjustment,
Refund,
Payment

Response

A list of treasury transactions.

data
object[]
next_cursor
string | null
has_more
boolean
Last modified on April 16, 2026